<remi-product-info
  [item]="{
    product: item().product,
    retailPrice: item().catalogAvailability.price,
  }"
  [orientation]="productInfoOrientation()"
  [innerGridClass]="'grid-cols-[minmax(20rem,1fr),minmax(18rem,auto)]'"
></remi-product-info>
<div class="flex flex-col items-end justify-center gap-6">
  <div
    class="text-isa-neutral-900 w-[18rem] flex flex-row items-center justify-between"
  >
    <span class="isa-text-body-2-regular">Aktueller Bestand</span>
    <span class="isa-text-body-2-bold">{{ inStock() }}x</span>
  </div>
  <button
    class="-mr-5"
    type="button"
    uiTextButton
    color="strong"
    (click)="openQuantityAndReasonDialog()"
  >
    Remimenge auswählen
  </button>
</div>
